Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.documents.controls
Interface GsDocControl

All Superinterfaces
  CM_Control<GsDoc>, ContentControlBase<GsDoc,Folder>, GroupSpaceContentControl<GsDoc>, Serializable

All Known Implementing Classes:
  GsDocControlImpl

    public interface GsDocControl

extends CM_Control<GsDoc>

Create a GroupSpace Document.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`GsDoc` | `create(String title, String description, CommunityContent.Visibility visibility, String author, String keyword, String docType, byte[] attachment, ID parentId, ID[] relatedNodes)`
`GsDoc` | `create(String title, String description, CommunityContent.Visibility visibility, String author, String keyword, String docType, String attachmentName, long attachmentSizeInBytes, byte[] attachment, ID parentId, ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`InputStream` | `getAttachment(GsDoc gsDoc)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    GsDoc create(String title,
                 String description,
                 CommunityContent.Visibility visibility,
                 String author,
                 String keyword,
                 String docType,
                 byte[] attachment,
                 ID parentId,
                 ID[] relatedNodes)
                 throws AuthenticationException,
                        AuthorizationException,
                        NodeExistsException,
                        NoSuchObjectClassException,
                        RepositoryException,
                        InstantiationException,
                        IllegalAccessException,
                        InvocationTargetException,
                        SQLException,
                        CharacterCodingException

  Parameters
    `title` -
    `description` -
    `visibility` -
    `author` -
    `keyword` -
    `docType` -
    `attachment` -
    `parentId` - Is only relevant for Community and Private visibilties
    `relatedNodes` -
  Returns
  Throws
    `AuthenticationException`
    `AuthorizationException`
    `NodeExistsException`
    `NoSuchObjectClassException`
    `RepositoryException`
    `InstantiationException`
    `IllegalAccessException`
    `InvocationTargetException`
    `SQLException`
    `CharacterCodingException`

### create

    GsDoc create(String title,
                 String description,
                 CommunityContent.Visibility visibility,
                 String author,
                 String keyword,
                 String docType,
                 String attachmentName,
                 long attachmentSizeInBytes,
                 byte[] attachment,
                 ID parentId,
                 ID[] relatedNodes,
                 Set<CmxControl.PropertyPair> dynamicProps)
                 throws NoSuchNodeException,
                        RepositoryException,
                        AuthorizationException

  Parameters
    `title` -
    `description` -
    `visibility` -
    `author` -
    `keyword` -
    `docType` -
    `attachmentName` -
    `attachmentSizeInBytes` -
    `attachment` -
    `parentId` - Is only relevant for Community and Private visibilties
    `relatedNodes` -
    `dynamicProps` -
  Returns
  Throws
    `NoSuchNodeException`
    `RepositoryException`
    `AuthorizationException`

### getAttachment

    InputStream getAttachment(GsDoc gsDoc)
                              throws RepositoryException,
                                     AuthorizationException

  Throws
    `RepositoryException`
    `AuthorizationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved